package com.tofly.xrtygis.entity.dto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class TfIndexAllocationAlarmDto {
    @ApiModelProperty("指标ids")
    @NotNull(message = "指标ids不能为空")
    private String ids;
    @ApiModelProperty(value = "是否报警（0未报警,1已报警）")

    @NotNull(message = "是否报警不能为空")
    private String isAlarm;
    /**
     * 绑定报警类型ID(多个英文逗号,号隔开)
     */
    @ApiModelProperty(value = "绑定报警类型ID(多个英文逗号,号隔开)")
    private String reportId;
}
