package com.tofly.custom.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
public class ScadaWaterAmountDto {
    @ApiModelProperty("开始日期 yyyy-MM-dd")
    @NotNull(message = "开始日期不能为空")
    private String startDate;
    @NotNull(message = "结束日期不能为空")
    @ApiModelProperty("结束日期 yyyy-MM-dd")
    private String endDate;
    @ApiModelProperty("开始时间")
    private String startTime;
    @ApiModelProperty("结束时间")
    private String endTime;
    /**
     * 是否导出
     */
    @ApiModelProperty("是否导出,1是")
    private Integer exportStatus=0;

    /**
     * 导出的标题
     */
    @ApiModelProperty("导出的标题")
    private String  exportTitle;
}
