package com.tofly.custom.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.custom.entity.ScadaReportRecord;
import com.tofly.custom.entity.vo.ScadaReportRecordVo;
import com.tofly.custom.entity.vo.ScadaWaterAmountVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

@Mapper
public interface ScadaReportRecordMapper extends BaseMapper<ScadaReportRecord> {


    ScadaReportRecord getWaterFlowCommXXLJob(@Param("indexType") String indexType, @Param("code")String code, @Param("startTime") Date startTime, @Param("endTime")Date endTime);

    List<ScadaWaterAmountVo> getScadaWaterAmount(@Param("startDate")String startDate, @Param("endDate")String endDate, @Param("startTime")String startTime, @Param("endTime")String endTime);

 List<ScadaReportRecordVo> getScadaReportRecord(@Param("recordDate")Date recordDate,@Param("codes")List<String>codes);
}
