package com.tofly.scada.service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.water.entity.WaterReport;
import com.tofly.water.entity.vo.WaterReportDayVo;

import java.util.List;

/**
* @author haiqiu
* @description 针对表【TF_INDEX_ALLOCATION(指标配置)】的数据库操作Service
* @createDate 2022-05-12 09:48:47
*/
public interface WaterReportService extends IService<WaterReport> {
    WaterReport getByDate(String recordDate);

    Boolean saveData(WaterReport waterReport);

    WaterReportDayVo reportMonth(String yearAndMonth, Long waterId);

    boolean saveDataBatch(List<WaterReport> waterReportList);
}
