package com.tofly.base.dto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class UserOnlineReportDto extends Model<UserOnlineReportDto> {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "部门id")
    private Long deptId;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "开始时间yyyy-MM-dd")
    private String startTime;

    @ApiModelProperty(value = "结束yyyy-MM-dd")
    private String endTime;

}
