package com.tofly.base.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.haiqiu.tools.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 操作记录
 * @author BZ-DJJ
 */
@Data
@ApiModel
public class OperationRecordsVo extends Model<OperationRecordsVo> {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "部门id")
    private Long deptId;

    @ApiModelProperty(value = "部门名称")
    @Excel(name="部门名称")
    private String deptName;

    @ApiModelProperty(value = "操作人员id")
    private Long userId;

    @ApiModelProperty(value = "操作人员名称")
    @Excel(name="姓名")
    private String realName;

    @ApiModelProperty(value = "操作模块类型")
    private String serviceId;
    @ApiModelProperty(value = "操作模块类型名称")
    private String serviceName;

    @ApiModelProperty(value = "登录时长(小时)")
    @Excel(name="登录时长")
    private BigDecimal operatingTime;

    @ApiModelProperty(value = "操作数量")
    @Excel(name="登录次数")
    private Integer num;
}
