package com.tofly.base.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel
public class UserOnlineReportVo extends Model<UserOnlineReportVo> {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "部门id")
    private Long deptId;

    @ApiModelProperty(value = "部门名称")
    private String deptName;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "用户名称")
    private String userName;

    @ApiModelProperty(value = "web登录次数")
    private BigDecimal webLoginCount;

    @ApiModelProperty(value = "app登录次数")
    private BigDecimal appLoginCount;


    @ApiModelProperty(value = "web在线时长")
    private BigDecimal webOnlineTime;

    @ApiModelProperty(value = "app在线时长")
    private BigDecimal appOnlineTime;

}
