/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtygis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.xrtygis.entity.TfIndexAllocation;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

/**
 * 指标配置
 *
 * @author admin
 * @date Fri Mar 11 00:00:00 CST 2022
 */
public interface TfIndexAllocationMapper extends BaseMapper<TfIndexAllocation> {
    String getReportLevel(Long reportId);

    void updateUnitById(@Param("id") Long id, @Param("unit") String unit);

    boolean updateAlarmBatch(@Param("listIds")List<Long> listIds, @Param("reportId")String reportId, @Param("isAlarm")String isAlarm);
}
