/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.gpsboot.service.comm.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.gpsboot.mapper.comm.StatementAssessMapper;
import com.tofly.gpsboot.service.comm.StatementAssessService;
import com.tofly.gpsboot.service.statement.impl.StatementServiceImpl;
import com.tofly.pojo.User;
import com.tofly.pojo.statement.StatementAssess;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.sql.Statement;
import java.util.Set;
import java.util.stream.Collectors;

/**
 * 报表考核记录表
 *
 * @author admin
 * @date Wed Feb 23 00:00:00 CST 2022
 */
@Service("statementAssessService")
public class StatementAssessServiceImpl extends ServiceImpl<StatementAssessMapper, StatementAssess> implements StatementAssessService {
@Autowired
    StatementServiceImpl statementService;
    @Override
    public Object getAssessPage(Page page, StatementAssess statementAssess) {
       String deptId="";
        if(statementAssess.getDeptId()!=null){
            deptId=statementAssess.getDeptId().toString();
        }
        String statisticalUserId="";
        if(statementAssess.getStatisticalUserId()!=null){
            statisticalUserId=statementAssess.getStatisticalUserId().toString();

        }
        QueryWrapper queryWrapper=new QueryWrapper();
        Set<Long> userIdList = statementService.getGroupUserIdList(deptId, statementAssess.getGroupId(), statisticalUserId);
        queryWrapper.in("ASSESS_USER_ID",userIdList);
        queryWrapper.setEntity(statementAssess);
        return ResultRespone.success(this.page(page, queryWrapper));
    }
}
