package com.tofly.custom.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class ScadaWaterAmountVo {
    @ApiModelProperty("二水厂水量")
    private String  amountWater2;
    @ApiModelProperty("三水厂水量")
    private String  amountWater3;
    @ApiModelProperty("总水量")
    private String  amountWater;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "时间")
    private Date dateStr;

}
